{
  "labels" : [

  ],
  "tags" : [

  ],
  "proxy" : {
    "groups" : [
      {
        "proxy" : {
          "enabled" : false,
          "host" : "null",
          "type" : "HTTP",
          "port" : 0
        },
        "services" : {
          "discovery" : {
            "enabled" : false
          }
        },
        "http" : {
          "idleTimeout" : 60000,
          "pipelining" : false,
          "connectTimeout" : 5000,
          "keepAlive" : true,
          "followRedirects" : false,
          "maxConcurrentConnections" : 100,
          "useCompression" : true,
          "encodeURI" : false,
          "readTimeout" : 10000
        },
        "ssl" : {
          "trustAll" : false,
          "hostnameVerifier" : false
        },
        "endpoints" : [
          {
            "target" : "http://frost-server-frost-server-http.frost-server.svc.cluster.local:80",
            "weight" : 1,
            "backup" : false,
            "inherit" : true,
            "type" : "HTTP",
            "healthcheck" : {
              "trigger" : {
                "unit" : "SECONDS",
                "rate" : 60
              },
              "enabled" : true,
              "steps" : [
                {
                  "name" : "default-step",
                  "request" : {
                    "path" : "version",
                    "method" : "GET",
                    "fromRoot" : false
                  },
                  "response" : {
                    "assertions" : [
                      "#response.status == 200"
                    ]
                  }
                }
              ],
              "inherit" : false
            },
            "name" : "orion-v2"
          }
        ],
        "load_balancing" : {
          "type" : "ROUND_ROBIN"
        },
        "name" : "Local Deployment"
      }
    ],
    "preserve_host" : false,
    "virtual_hosts" : [
      {
        "path": "/gateway{{ am_apim_settings.frost_api_path }}"
      }
    ],
    "strip_context_path" : false
  },
  "disable_membership_notifications" : false,
  "visibility" : "public",
  "name" : "{{ am_apim_settings.frost_api_portal_name }}",
  "version" : "1.0",
  "services" : {
    "health-check" : {
      "enabled" : true,
      "trigger" : {
        "unit" : "SECONDS",
        "rate" : 60
      },
      "steps" : [
        {
          "name" : "/default-step",
          "request" : {
            "path" : "version",
            "method" : "GET",
            "fromRoot" : false
          },
          "response" : {
            "assertions" : [
              "#response.status == 200"
            ]
          }
        }
      ]
    }
  },
  "response_templates" : {

  },
  "resources" : [
    {
      "name": "{{ am_apim_settings.oauth_resource_name }}",
      "type": "oauth2",
      "enabled": true,
      "configuration": {
        "authorizationServerUrl": "https://idm.{{ DOMAIN }}/auth",
        "introspectionEndpoint": "/realms/{{ inv_idm.keycloak.realm_name }}/protocol/openid-connect/token/introspect",
        "introspectionEndpointMethod": "POST",
        "scopeSeparator": " ",
        "userInfoEndpoint": "/realms/{{ inv_idm.keycloak.realm_name }}/protocol/openid-connect/userinfo",
        "userInfoEndpointMethod": "GET",
        "useClientAuthorizationHeader": true,
        "clientAuthorizationHeaderName": "Authorization",
        "clientAuthorizationHeaderScheme": "Basic",
        "tokenIsSuppliedByQueryParam": false,
        "tokenQueryParamName": "token",
        "tokenIsSuppliedByHttpHeader": false,
        "tokenIsSuppliedByFormUrlEncoded": true,
        "tokenFormUrlEncodedName": "token",
        "userClaim": "sub",
        "clientSecret": "{{ IDM_CLIENT_SECRET_API_ACCESS }}",
        "clientId": "{{ IDM_CLIENT.API_ACCESS }}",
        "tokenHeaderName": ""
      }
    }
  ],
  "paths" : {
    "/" : []
  },

  "path_mappings" : [
    "/Datastreams",
    "/MultiDatastreams",
    "/FeaturesOfInterest",
    "/Locations",
    "/Observations",
    "/ObservedProperties",
    "/Sensors",
    "/Things",
    "/HistoricalLocations"
  ],
  "description" : "{{ am_apim_settings.frost_api_portal_description }}",
  "lifecycle_state": "PUBLISHED"
  }
